[PATCH] osmo-ci[master]: contrib/jenkins.sh: update from current jenkins job update-o...

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Tue Nov 28 04:17:05 UTC 2017


Review at  https://gerrit.osmocom.org/5051

contrib/jenkins.sh: update from current jenkins job update-osmo-ci-on-slaves

We're not calling this script on the update-osmo-ci-on-slaves job yet. To move
over to calling this script, apply some edits we made on the jenkins UI in the
meantime.

Change-Id: I54d3f56a89934c1c7b0e445b5c447c91bf94d579
---
M contrib/jenkins.sh
1 file changed, 8 insertions(+), 4 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/51/5051/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index eb079a2..3bc49f9 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,12 +1,16 @@
 #!/bin/sh
+set -e -x
 
-set -e
-
-cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci && cd osmo-ci)
+cd ~/osmo-ci || (cd ~/ && git clone git://git.osmocom.org/osmo-ci && cd ~/osmo-ci)
 git rev-parse HEAD
 git status
 
-git fetch && git checkout -f -B master origin/master
+git pull origin
 
 git rev-parse HEAD
 git status
+
+if [ `uname` = "Linux" ]; then
+ cd docker
+ ./rebuild_osmocom_jenkins_image.sh
+fi

-- 
To view, visit https://gerrit.osmocom.org/5051
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I54d3f56a89934c1c7b0e445b5c447c91bf94d579
Gerrit-PatchSet: 1
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list